Bug 595091 - Considering retire xconvers from fedora
Considering retire xconvers from fedora
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xconvers (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Randall "Randy" Berry
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-23 06:22 EDT by Chen Lei
Modified: 2012-08-16 15:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:52:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chen Lei 2010-05-23 06:22:24 EDT
Description of problem:

The GTK1.2 xconvers seems to be a bit aged, and the upstram is long dead. It'll
be great if you can retire it from pkgdb.

Additional info:

See http://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
Comment 1 Gwyn Ciesla 2010-05-24 08:26:16 EDT
Why remove this if it works?  Are there a large number of unfixed/unfixable security vulnerabilities or other bugs?
Comment 2 Randall "Randy" Berry 2010-05-24 08:37:43 EDT
Many ham radio operators use this application to conduct various operations.
Sure it seems to be old and outdated but it still works and provides a service to those that use it.
Comment 3 Chen Lei 2010-05-24 09:03:36 EDT
(In reply to comment #1)
> Why remove this if it works?  Are there a large number of unfixed/unfixable
> security vulnerabilities or other bugs?    

Fedora don't have a policy to remove EOL package right now, the packager can determine whether to retire it or not. But some other distributions including debian ubuntu freebsd already remove this package serveral years ago.

Also the source tarball for this package come from ubuntu, the upstream don't provide source tarball long ago.

(In reply to comment #2)
> Many ham radio operators use this application to conduct various operations.
> Sure it seems to be old and outdated but it still works and provides a service
> to those that use it.    

The homepage seems down permanently, the tarball cannot be downloaded from upstram?

I found the last commit for this program is 10years ago, I think few user still use it now.
Comment 4 Gwyn Ciesla 2010-05-24 09:05:10 EDT
Then I say close it, in the absence of unfixable showstopper bugs.

And, Chen, I'd still like to hear a rationale for removal.  Should every package have to justify it's existence?  If so, based on what criteria?
Comment 5 Gwyn Ciesla 2010-05-24 09:08:21 EDT
(In reply to comment #3)
> (In reply to comment #1)
> > Why remove this if it works?  Are there a large number of unfixed/unfixable
> > security vulnerabilities or other bugs?    
> 
> Fedora don't have a policy to remove EOL package right now, the packager can
> determine whether to retire it or not. But some other distributions including
> debian ubuntu freebsd already remove this package serveral years ago.

All the more reason to keep it if it's in use.

> Also the source tarball for this package come from ubuntu, the upstream don't
> provide source tarball long ago.

Many upstreams don't provide tarballs.  And again, in the absence of bugs. . .

> (In reply to comment #2)
> > Many ham radio operators use this application to conduct various operations.
> > Sure it seems to be old and outdated but it still works and provides a service
> > to those that use it.    
> 
> The homepage seems down permanently, the tarball cannot be downloaded from
> upstram?

But we still have a tarball that works.

> I found the last commit for this program is 10years ago, I think few user still
> use it now.    

[citation needed]  Many things in common use have not been updated recently.  If they have no need for new features and have no known bugs, why update?
Comment 6 Chen Lei 2010-05-24 09:25:02 EDT
(In reply to comment #4)
> Then I say close it, in the absence of unfixable showstopper bugs.
> And, Chen, I'd still like to hear a rationale for removal.  Should every
> package have to justify it's existence?  If so, based on what criteria?    

The latest update for this package is more ten years old and it depends on gtk+ which is also a very old toolkit, many distributions already remove it from repo. The upstream don't provide tarball two years ago.

BTW, xconvers 0.8.3 is not the latest version, 0.8.4 is released long ago, unfortunately the upstream don't provide all tarball now.

See http://packages.debian.org/source/etch/xconvers

Whether to remove or not should be determined by packager, but removing EOL packages is not a wrong thing. It seems some other distribution may have a policy to remove very old packages. Do you still use this packages, why you are unwilling to see this package be removed from fedora?

Note: the author already announced that this software is permanently dead.
Comment 7 Chen Lei 2010-05-24 09:39:06 EDT
> > 
> > The homepage seems down permanently, the tarball cannot be downloaded from
> > upstram?
> But we still have a tarball that works.
> > I found the last commit for this program is 10years ago, I think few user still
> > use it now.    
> [citation needed]  Many things in common use have not been updated recently. 
> If they have no need for new features and have no known bugs, why update?    

See http://sourceforge.net/projects/xconvers/develop

Whether to remove this package or not is a very trival thing for fedora, but keeping many long dead upstream packages in repo will increase the file size of metadata and benefic fedora few. Few users will use software which is not updated for ten years.
Comment 8 Chen Lei 2010-05-24 10:04:46 EDT
Some information in debian bug report :

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=520441
Comment 9 Gwyn Ciesla 2010-05-25 08:50:25 EDT
Ok, I get that upstream is dead, and that unneeded cruft should be removed, but what I'm not understanding is how you're determining what EOL truly is.  Something might be dead upstream but still have an active user base.  If we still need to keep a compat package for the old gtk+, yes, it takes up a tiny amount of disk, but if it provides functionality to users, we should keep it, unless there are unfixable bugs.  Age by itself does not confer brokenness.

If Debian wants to remove packages they deem ready for pasture, that's fine.  That's their decision.  But let's not make that our driving force for how we determine our package set.

I personally have no problem with our package set being enormous and including things that only a small set of people use.  That increases our value to a larger set of users.  We should certainly put the only most broadly useful packages on the default install, liveCD, etc, but why pull something from the repository that isn't demonstrably broken?  *Especially* if upstream is dead.  We might become the only place to find that piece of software.

In the end, yes, it's up to the maintainer.
Comment 10 Chen Lei 2010-05-25 09:10:56 EDT
Debian removed this package is etch. xconvers author is also the maintainer of this package in Debian, in fact very few user still use this package.

If the maintainer still use this package, it's reasonable to still keep this package for a while. Otherwise, I think it's right to remove this packages.

I don't mind to still see this package in repo, acturally I want to persuade people to remove gtk+ in F14 or F15. 

Debian/Ubuntu removed the gtk+ more than one year ago, RHEL6 also remove gtk+ in its repo. I don't think keep some very old packages in repo will benefit fedora, 10 years is enough for developer to switch from old toolkit.
Comment 11 Gwyn Ciesla 2010-05-25 13:52:42 EDT
The toolkit argument makes sense, provided there's an application in Fedora for people who need this functionality to migrate to.  I leave that determination to Mr. Berry.
Comment 12 Bug Zapper 2010-07-30 07:41:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fedora End Of Life 2012-08-16 15:52:46 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.